Package org.codehaus.janino

# Class Java.InferredLambdaParameters

java.lang.Object
org.codehaus.janino.Java.InferredLambdaParameters

All Implemented Interfaces:
  `Java.LambdaParameters`

Enclosing class:
  `Java`

public static class Java.InferredLambdaParameters extends Object implements Java.LambdaParameters
Representation of "lamba parameters" that include an inferred formal parameter list; see JLS9 15.27.1.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String[]`
`names`
The identifiers that pose the list.

## Constructor Summary

Constructors
Constructor
Description
`InferredLambdaParameters(String[] names)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.LambdaParametersVisitor<R,EX> lpv)`
Invokes the "`visit...()`" method of `Visitor.LambdaParametersVisitor` for the concrete `Java.LambdaParameters`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### names

public final String[] names
The identifiers that pose the list.

## Constructor Details

### InferredLambdaParameters

public InferredLambdaParameters(String[] names)

## Method Details

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.LambdaParametersVisitor<R,EX> lpv) throws EX
Description copied from interface: `Java.LambdaParameters`
Invokes the "`visit...()`" method of `Visitor.LambdaParametersVisitor` for the concrete `Java.LambdaParameters`.

Specified by:
  `accept` in interface `Java.LambdaParameters`
Throws:
  `EX`